avatar

elastic/elasticsearch

  • approved
Module for managing and configuring Elasticsearch nodes
Latest version is compatible with:
  • Puppet Enterprise 2018.1.x, 2017.3.x, 2017.2.x, 2017.1.x, 2016.5.x, 2016.4.x
  • Puppet >= 4.5.0 < 6.0.0
    • RedHat,
    • Ubuntu,
    • Debian,
    • SLES,
    • Scientific,
    • CentOS,
    • OracleLinux,
    • OpenSuSE

Start using this module:

new! Bolt

Add this declaration to your Puppetfile:

Then run:

r10k or Code Manager

Add this declaration to your Puppetfile:

Manual installation

Manually install this module with Puppet module tool:

1,162,393
Latest version: 238,295

More from Puppet

The most complete automation solution

Automate simply, safely and at scale

learn more >

Deploy code with confidence

Assess the impact of proposed changes with Impact Analysis

learn more >